OpenCSW Bug Tracker


Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001482 [gcc4g++rt] other feature always 2006-02-16 21:13 2009-07-27 10:22
Reporter kenmays View Status public  
Assigned To pfelecan
Priority normal Resolution won't fix  
Status closed  
Summary 0001482: fvisibility=hidden feature missing?
Description configure: WARNING: Your libstdc++ doesn\'t appear to be patched for
                   visibility support. Disabling -fvisibility=hidden
checking whether g++ supports -fvisibility=hidden... no
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0003149)
pfelecan (developer)
2006-02-17 01:50

What did you configure to get this message?
(0003159)
kenmays (reporter)
2006-02-20 06:53

This \'error\' is generated by the basic configuration of kdelibs-3.5.1 or any of the kde 3.5.1 optional packages posted in testing.
(0003162)
pfelecan (developer)
2006-02-20 07:49

please attach the corresponding config.log --- my purpose is to obtain the code which tests this feature.
(0003165)
kenmays (reporter)
2006-02-20 09:50

kdelibs-3.5.1 (using g++ 3.4.5 (CSW))
---------------------------------------
configure:35728: result: no
configure:35731: WARNING: Your libstdc++ doesn\'t appear to be patched for
                   visibility support. Disabling -fvisibility=hidden
configure:35749: checking whether g++ supports -fvisibility=hidden
configure:35785: rm -rf SunWS_cache; g++ -o conftest -Wno-long-long -Wundef -Wal
l -W -Wpointer-arith -O2 -I/export/medusa/kenmays/Xfiles/xc/cswstage/opt/csw/inc
lude -I/opt/csw/kde-gcc/include -O3 -R/usr/openwin/lib -R/opt/csw/kde-gcc/lib -R
/opt/csw/lib -L/usr/openwin/lib -L/opt/csw/kde-gcc/lib -L/opt/csw/lib -I/opt/csw
/include -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -fvisi
bility=hidden -DQT_THREAD_SUPPORT -I/opt/csw/kde-gcc/include -I/opt/csw/include
 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -DUSE_SOLARIS -DSVR4 -lpthread /usr/lib
/libCrun.so.1 /usr/lib/libCstd.so.1 conftest.cc 1>&5
cc1plus: error: unrecognized command line option \"-fvisibility=hidden\"
configure:35791: $? = 1
configure: failed program was:
--------------------------
configure: WARNING: Your libstdc++ doesn\'t appear to be patched for
                   visibility support. Disabling -fvisibility=hidden
checking whether g++ supports -fvisibility=hidden... no
-------------------------------
bash-3.00$ g++ -v
Reading specs from /opt/csw/gcc3/lib/gcc/i386-pc-solaris2.8/3.4.5/specs
Configured with: ../sources/gcc-3.4.5/configure --prefix=/opt/csw/gcc3 --with-lo
cal-prefix=/opt/csw --with-gnu-as --with-as=/opt/csw/bin/gas --without-gnu-ld --
with-ld=/usr/ccs/bin/ld --enable-threads=posix --enable-shared --enable-multilib
 --enable-nls --with-included-gettext --with-libiconv-prefix=/opt/csw --with-x -
-enable-java-awt=xlib --enable-languages=all
Thread model: posix
gcc version 3.4.5
-------------------------------
Below is the kdelibs-3.5.1 info from the script \'./configure\' which checks for the fvisibility option in GCC/G++:

if (eval \"$ac_cpp conftest.$ac_ext\") 2>&5 |
  $EGREP \"GCC visibility push\" >/dev/null 2>&1; then
  ac_status=$?
  grepecho \"$as_me:$LINENO: result: yes\" >&5
echo \"${ECHO_T}yes\" >&6
  cat kde_stdc_visibility_patched=yes
elseho \"$as_me:$LINENO: \\$? = $ac_status\" >&5
  (exit $ac_status); } &&
      echo \"$as_me:$LINENO: result: no\" >&5
echo \"${ECHO_T}no\" >&6
      { echo \"$as_me:$LINENO: WARNING: Your libstdc++ doesn\'t appear to be patch
ed for
                   visibility support. Disabling -fvisibility=hidden\" >&5
echo \"$as_me: WARNING: Your libstdc++ doesn\'t appear to be patched for
                   visibility support. Disabling -fvisibility=hidden\" >&2;}
  ac_status=$?
  echokde_stdc_visibility_patched=noatus\" >&5
fi(exit $ac_status); }; } &&
rm -f conftest*ry=\'test -s conftest.$ac_objext\'
  { (eval echo \"$as_me:$LINENO: \\\"$ac_try\\\"\") >&5
  (eval $ac_try) 2>&5
  ac_status=$?
  echo \"$as_me:$LINENO: \\$? = $ac_status\" >&5
else
  echo \"$as_me: failed program was:\" >&5
sed \'s/^/| /\' conftest.$ac_ext >&5

kde_cv_val_qt_gcc_visibility_patched=yes
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext

          CXXFLAGS=$safe_CXXFLAGS
          ac_ext=c
ac_cpp=\'$CPP $CPPFLAGS\'
ac_compile=\'$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5\'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


echo \"$as_me:$LINENO: result: $kde_cv_val_qt_gcc_visibility_patched\" >&5
echo \"${ECHO_T}$kde_cv_val_qt_gcc_visibility_patched\" >&6

        CXXFLAGS=\"$CXXFLAGS -fvisibility=hidden\"

    echo \"$as_me:$LINENO: checking for gcc -fvisibility-inlines-hidden bug\" >&5
echo $ECHO_N \"checking for gcc -fvisibility-inlines-hidden bug... $ECHO_C\" >&6
if test \"${kde_cv_val_gcc_visibility_bug+set}\" = set; then
  echo $ECHO_N \"(cached) $ECHO_C\" >&6
else



         ac_ext=cc
ac_cpp=\'$CXXCPP $CPPFLAGS\'
ac_compile=\'$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5\'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu




        safe_CXXFLAGS=$CXXFLAGS
        safe_LDFLAGS=$LDFLAGS
        CXXFLAGS=\"$CXXFLAGS -fPIC -fvisibility-inlines-hidden -O0\"
        LDFLAGS=\"$LDFLAGS -shared -fPIC\"

        cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */

          /* http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19664 [^] */
          #include <string>
          int some_function( void ) __attribute__ ((visibility(\"default\")));
          int some_function( void )
          {
            std::string s(\"blafasel\");
            return 0;
          }

int
main ()
{
/* elvis is alive */
  ;
  return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo \"$as_me:$LINENO: \\\"$ac_link\\\"\") >&5
  (eval $ac_link) 2>conftest.er1
  ac_status=$?
  grep -v \'^ *+\' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo \"$as_me:$LINENO: \\$? = $ac_status\" >&5
  (exit $ac_status); } &&
         { ac_try=\'test -z \"$ac_cxx_werror_flag\"
                         || test ! -s conftest.err\'
  { (eval echo \"$as_me:$LINENO: \\\"$ac_try\\\"\") >&5
  (eval $ac_try) 2>&5
  (exit $ac_status); }; } &&
         { ac_try=\'test -s conftest$ac_exeext\'
  { (eval echo \"$as_me:$LINENO: \\\"$ac_try\\\"\") >&5
  (eval $ac_try) 2>&5
  ac_status=$?
  echo \"$as_me:$LINENO: \\$? = $ac_status\" >&5
  (exit $ac_status); }; }; then
  kde_cv_val_gcc_visibility_bug=no
else
  echo \"$as_me: failed program was:\" >&5
sed \'s/^/| /\' conftest.$ac_ext >&5

kde_cv_val_gcc_visibility_bug=yes
fi
rm -f conftest.err conftest.$ac_objext \\
      conftest$ac_exeext conftest.$ac_ext

        CXXFLAGS=$safe_CXXFLAGS
        LDFLAGS=$safe_LDFLAGS
        ac_ext=c
ac_cpp=\'$CPP $CPPFLAGS\'
ac_compile=\'$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5\'
ac_compiler_gnu=$ac_cv_c_compiler_gnu



fi
echo \"$as_me:$LINENO: result: $kde_cv_val_gcc_visibility_bug\" >&5
echo \"${ECHO_T}$kde_cv_val_gcc_visibility_bug\" >&6

    if test x$kde_cv_val_gcc_visibility_bug = xno; then
      CXXFLAGS=\"$CXXFLAGS -fvisibility-inlines-hidden\"
    fi


        HAVE_GCC_VISIBILITY=1

cat >>confdefs.h <<_ACEOF
#define __KDE_HAVE_GCC_VISIBILITY \"$HAVE_GCC_VISIBILITY\"
_ACEOF

      fi

else
 echo \"$as_me:$LINENO: result: no\" >&5
echo \"${ECHO_T}no\" >&6
 :

fi

  fi




 :

fi

  fi

-----------
Hope that helps! ~ Ken Mays
(0006472)
pfelecan (developer)
2009-07-27 10:22

this is a gcc4 feature.


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker